# Makefile.in generated automatically by automake 1.2h from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AR = @AR@
A_STDIO = @A_STDIO@
CC = @CC@
CHMOD = @CHMOD@
COMPRESS = @COMPRESS@
CP = @CP@
CVS = @CVS@
HTWAIS = @HTWAIS@
HTZLIB = @HTZLIB@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MKDIR = @MKDIR@
PACKAGE = @PACKAGE@
PREVIOUS_VERSION = @PREVIOUS_VERSION@
RANLIB = @RANLIB@
RM = @RM@
SED = @SED@
TAR = @TAR@
VERSION = @VERSION@
ac_afsws_fs_found = @ac_afsws_fs_found@
ac_bn = @ac_bn@
ac_sys_afs_sysname = @ac_sys_afs_sysname@
have_resolv_conf = @have_resolv_conf@
have_rlogin = @have_rlogin@
have_telnet = @have_telnet@
have_tn3270 = @have_tn3270@
icondir = @icondir@
subdirs = @subdirs@

check_PROGRAMS = listen

listen_LDADD = ../../Library/src/libwww.a -lm

listen_DEPENDENCIES = \
	../../Library/src/libwww.a

INCLUDES = -I$(srcdir)/../../Library/src

#	.h files are distributed but originally are made from the
#	self-documenting hypertext files.
SUFFIXES = .h .html

PURIFY_CACHE = @PURIFY_CACHE@

listen_SOURCES = \
	HTListen.c

BUILT_SOURCES = \
	HTListen.h

EXTRA_DIST = \
	$(BUILT_SOURCES)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 

DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
listen_OBJECTS =  HTListen.o
listen_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP = --best
SOURCES = $(listen_SOURCES)
OBJECTS = $(listen_OBJECTS)

all: Makefile

.SUFFIXES:
.SUFFIXES: .S .c .h .html .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Listen/src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-checkPROGRAMS:

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)

distclean-checkPROGRAMS:

maintainer-clean-checkPROGRAMS:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

listen: $(listen_OBJECTS) $(listen_DEPENDENCIES)
	@rm -f listen
	$(LINK) $(listen_LDFLAGS) $(listen_OBJECTS) $(listen_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = Listen/src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
HTListen.o HTListen.lo: HTListen.c ../../Library/src/WWWLib.h \
	../../Library/src/sysdep.h ../../config.h \
	../../Library/src/WWWUtil.h ../../Library/src/HTUtils.h \
	../../Library/src/HTMemory.h ../../Library/src/HTArray.h \
	../../Library/src/HTAssoc.h ../../Library/src/HTList.h \
	../../Library/src/HTAtom.h ../../Library/src/HTChunk.h \
	../../Library/src/HTString.h ../../Library/src/HTUU.h \
	../../Library/src/WWWCore.h ../../Library/src/HTLib.h \
	../../Library/src/HTUser.h ../../Library/src/HTReq.h \
	../../Library/src/HTEvent.h ../../Library/src/HTFormat.h \
	../../Library/src/HTStream.h ../../Library/src/HTAnchor.h \
	../../Library/src/HTLink.h ../../Library/src/HTMethod.h \
	../../Library/src/HTResponse.h ../../Library/src/HTError.h \
	../../Library/src/HTNet.h ../../Library/src/HTTrans.h \
	../../Library/src/HTIOStream.h ../../Library/src/HTChannl.h \
	../../Library/src/HTHost.h ../../Library/src/HTProt.h \
	../../Library/src/HTTimer.h ../../Library/src/HTDNS.h \
	../../Library/src/HTParse.h ../../Library/src/HTEscape.h \
	../../Library/src/HTUTree.h ../../Library/src/HTWWWStr.h \
	../../Library/src/HTMemLog.h ../../Library/src/HTAlert.h \
	../../Library/src/HTBind.h ../../Library/src/HTStruct.h \
	../../Library/src/HTFWrite.h ../../Library/src/HTInet.h \
	../../Library/src/HTHstMan.h ../../Library/src/WWWTrans.h \
	../../Library/src/HTANSI.h ../../Library/src/HTLocal.h \
	../../Library/src/HTTCP.h ../../Library/src/HTSocket.h \
	../../Library/src/HTReader.h ../../Library/src/HTWriter.h \
	../../Library/src/HTBufWrt.h ../../Library/src/WWWInit.h \
	../../Library/src/HTProfil.h ../../Library/src/HTInit.h \
	../../Library/src/WWWApp.h ../../Library/src/HTEvtLst.h \
	../../Library/src/HTHome.h ../../Library/src/HTDialog.h \
	../../Library/src/HTAccess.h ../../Library/src/HTRules.h \
	../../Library/src/HTProxy.h ../../Library/src/HTFilter.h \
	../../Library/src/HTLog.h ../../Library/src/HTHist.h \
	../../Library/src/WWWHTTP.h ../../Library/src/HTTPUtil.h \
	../../Library/src/HTTP.h ../../Library/src/HTTPServ.h \
	../../Library/src/HTTPGen.h ../../Library/src/HTTPReq.h \
	../../Library/src/HTTPRes.h ../../Library/src/HTTChunk.h \
	../../Library/src/HTPEP.h ../../Library/src/HTAAUtil.h \
	../../Library/src/HTAABrow.h ../../Library/src/WWWFile.h \
	../../Library/src/HTFile.h ../../Library/src/HTMulti.h \
	../../Library/src/WWWFTP.h ../../Library/src/HTFTP.h \
	../../Library/src/HTFTPDir.h ../../Library/src/WWWGophe.h \
	../../Library/src/HTGopher.h ../../Library/src/WWWTelnt.h \
	../../Library/src/HTTelnet.h ../../Library/src/WWWNews.h \
	../../Library/src/HTNews.h ../../Library/src/HTNewsRq.h \
	../../Library/src/HTNewsLs.h ../../Library/src/HTNDir.h \
	../../Library/src/WWWMIME.h ../../Library/src/HTMIME.h \
	../../Library/src/HTHeader.h ../../Library/src/HTMIMERq.h \
	../../Library/src/HTMIMImp.h ../../Library/src/HTBound.h \
	../../Library/src/HTMulpar.h ../../Library/src/WWWHTML.h \
	../../Library/src/HTMLPDTD.h ../../Library/src/SGML.h \
	../../Library/src/HTMLGen.h ../../Library/src/HTTeXGen.h \
	../../Library/src/WWWStream.h ../../Library/src/HTConLen.h \
	../../Library/src/HTGuess.h ../../Library/src/HTTee.h \
	../../Library/src/HTMerge.h ../../Library/src/HTSChunk.h \
	../../Library/src/HTXParse.h ../../Library/src/WWWDir.h \
	../../Library/src/HTDir.h ../../Library/src/HTIcons.h \
	../../Library/src/HTDescpt.h ../../Library/src/WWWCache.h \
	../../Library/src/HTCache.h ../../Library/src/WWWZip.h \
	../../Library/src/HTZip.h ../../Library/src/HTHInit.h \
	../../Library/src/HTML.h ../../Library/src/HTPlain.h \
	../../Library/src/HTBInit.h HTListen.h

info:
dvi:
check: all $(check_PROGRAMS)
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-checkPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-checkPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-checkPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-checkPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-checkPROGRAMS distclean-checkPROGRAMS \
clean-checkPROGRAMS maintainer-clean-checkPROGRAMS mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info dvi installcheck install-exec install-data install \
uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean

.html.h:
	www -w90 -na -p -to text/x-c $(srcdir)/$(*F).html > $(srcdir)/$(*F).h

inc: $(BUILT_SOURCES)
	@echo Generated built sources

purify: $(listen_OBJECTS) $(listen_DEPENDENCIES)
	purify -cache-dir=$(PURIFY_CACHE) \
	$(LINK) $(listen_OBJECTS) $(listen_LDADD) $(LIBS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
